## org.apache.fop.dom.svg
Class SVGAnimatedEnumerationImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGAnimatedEnumerationImpl

public class SVGAnimatedEnumerationImpl
extends java.lang.Object
implements org.w3c.dom.svg.SVGAnimatedEnumeration

Constructor Summary
`SVGAnimatedEnumerationImpl(short base)`

Method Summary
`short` `getAnimVal()`
`short` `getBaseVal()`
`void` `setBaseVal(short baseVal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGAnimatedEnumerationImpl

    public SVGAnimatedEnumerationImpl(short base)

Method Detail

### getBaseVal

    public short getBaseVal()

  Specified by:
    getBaseVal in interface org.w3c.dom.svg.SVGAnimatedEnumeration

### setBaseVal

    public void setBaseVal(short baseVal)

  Specified by:
    setBaseVal in interface org.w3c.dom.svg.SVGAnimatedEnumeration

### getAnimVal

    public short getAnimVal()

  Specified by:
    getAnimVal in interface org.w3c.dom.svg.SVGAnimatedEnumeration

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.